SVWSATA(4) | Device Drivers Manual | SVWSATA(4)

# NAME

`svwsata` —
Serverworks Serial ATA disk controller driver

# SYNOPSIS

`svwsata* at pci? dev ? function ? flags 0x0000`

# DESCRIPTION

The `svwsata` driver supports the Serverworks K2, Frodo4, Frodo8 and HT-1000 Serial ATA controllers, and provides the interface with the hardware for the ata(4) driver.

The 0x0002 flag forces the `svwsata` driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the SATA controller is wired up to the system incorrectly.

# SEE ALSO

ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

March 7, 2006 | NetBSD 9.4